local mPhotonView,mJavaBridge = ...


function updateTagStatusUI()
    local selected = tostring(Rapid:getData('isSelected','0'))
    if selected ~= nil and selected == '1' then
        Rapid:getChild('rl_tag'):setAttr('backgroundgradientdrawable', "cornerradius:12,color:00000000,strokewidth:2,strokecolor:BCDEFF")
        Rapid:getChild('tv_tag'):setAttr('textcolor', "0080FF")
    else
        Rapid:getChild('rl_tag'):setAttr('backgroundgradientdrawable', "cornerradius:12,color:00000000,strokewidth:2,strokecolor:26000000")
        Rapid:getChild('tv_tag'):setAttr('textcolor', "808080")
    end
end


function clickTag()
    local selected = tostring(Rapid:getData('isSelected','0'))

    local callbackObj = Rapid:getData('callback')
    local tagId = tostring(Rapid:getData('tag_id'))
    if callbackObj == nil then
        return
    end
    local selectTagText = nil
    if selected ~= nil and selected == '1' then
        selectTagText = 'default'
        callbackObj.onClickTag(tagId, false)
    else
        selectTagText = tostring(Rapid:getData('tag_title',''))
        callbackObj.onClickTag(tagId, true)
    end

    mJavaBridge:Log("-----====","selectTagText=="..selectTagText)

    -- 上报
    local actionRunner = mPhotonView:getParser():getTaskCenter():getActionRunner()
    local params = {}
    params["param"] ="scene:data@scene,actionid:250,slotid:data@slotid,subposition:-1,modeltype:data@modeltype,sourcescene:data@sourcescene,sourcesceneslotid:data@sourcesceneslotid"
    params["extendparam"] = "report_element:cardtag,report_context:data@card_report_context,uni_card_tag_selected:" .. selectTagText
    params["recommendid"] = "data@card_recommendid"
    actionRunner:run("reportaction", params, nil)
end